Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLScriptFunction

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLElementContainer
                  |
                  +--oracle.jdeveloper.html.HTMLScriptFunction

public class HTMLScriptFunction
extends HTMLElementContainer

Represents a JavaScript function that is to be added to a script.

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `Description`
`protected java.lang.String` | `Source`

Fields inherited from class oracle.jdeveloper.html.HTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLScriptFunction(java.lang.String Description, java.lang.String Source)`

Method Summary
`void` | `render(java.io.PrintWriter out)` Renders the container's header, contained objects and footer.
`void` | `setDescription(java.lang.String sDescription)`
`void` | `setSource(java.lang.String source)`

Methods inherited from class oracle.jdeveloper.html.HTMLElementContainer
`addElement, addForm, addHeader, addImage, addImageClass, addImageURL, addTable, addTextURL, addToolBar, elementAt, endCenter, numberOfElements, renderContainerFooter, renderContainerHeader, renderElementFooter, renderElementHeader, skipLine, startCenter`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Description

    protected java.lang.String Description

### Source

    protected java.lang.String Source

Constructor Detail

### HTMLScriptFunction

    public HTMLScriptFunction(java.lang.String Description,
                              java.lang.String Source)

  Parameters:
    `Description` - A comment tobe added in front of the function
    `Source` - The function's source code.

Method Detail

### setDescription

    public void setDescription(java.lang.String sDescription)

  Parameters:
    `Description` - A comment tobe added in front of the function

### setSource

    public void setSource(java.lang.String source)

### render

    public void render(java.io.PrintWriter out)

  Description copied from class: HTMLElementContainer
  Renders the container's header, contained objects and footer.
  Overrides:
    render in class HTMLElementContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD